Skip to main content
GET
/
brands
/
{slug}
/
tokens
/
{platform}
Get token details for a platform
curl --request GET \
  --url https://app.autoposting.ai/api-proxy/brands/{slug}/tokens/{platform} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "tokenId": "tok_01HXYZ",
      "platformUserId": "x_12345",
      "username": "@acmecorp",
      "scopes": [
        "tweet.read",
        "tweet.write"
      ],
      "expiresAt": "2025-01-01T00:00:00Z",
      "lastUsedAt": "2024-01-10T09:05:00Z",
      "status": "active"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Path Parameters

slug
string
required

Brand slug.

Example:

"acme-corp"

platform
enum<string>
required

Platform identifier.

Available options:
x,
linkedin,
instagram,
threads,
youtube
Example:

"x"

Response

Platform token details.

success
boolean
Example:

true

data
object[]